Skip to main content
GET
Get App Topology

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required

Query Parameters

env
enum<string>
default:dev

Enumerate the persisted development, production, and preview environment names.

Available options:
dev,
prod,
preview

Response

Successful Response

Grouped topology response for a single app.

application_services
TopologyComponentResponse · object[]
required
managed_services
TopologyComponentResponse · object[]
required
total
integer
required
effective_status
string | null
runtime_status
enum<string> | null
Available options:
running,
starting,
stopped,
degraded
deploy_status
enum<string> | null
Available options:
idle,
in_progress,
succeeded,
failed
active_deploy_id
string | null
active_deploy_step
string | null
last_deploy_id
string | null
last_deploy_outcome
string | null
last_deploy_failure
string | null
last_deploy_failure_stage
string | null
inferred_health_flags
Inferred Health Flags · object